package daca.dao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import org.springframework.jdbc.datasource.DriverManagerDataSource;

import daca.bean.Usuario;

/*
* TODO To change the template for this generated type comment go to
* Window - Preferences - Java - Code Style - Code Templates
*/
public class GerenteBanco{	
	private DriverManagerDataSource dataSource;	
	
	public GerenteBanco(){	
	}
	
	/* (non-Javadoc)
	 * @see daca.service.PersistenteIF#save(daca.business.Usuario)
	 */
	
	public void save(Usuario usuario) {		
		try {
			Connection conn = dataSource.getConnection() ;		
			PreparedStatement statement = conn.prepareStatement("insert into usuario (login,senha,mail) values  (?,?,?)");
			statement.setString(1,usuario.getLogin());
			statement.setString(2,usuario.getSenha());
			statement.setString(3,usuario.getMail());
			statement.execute();
			conn.close();
		} catch (SQLException e) {
			e.printStackTrace();
		}		
	}
	/* (non-Javadoc)
	 * @see daca.service.PersistenteIF#remove(java.lang.String)
	 */
	public void remove(String id) {
		try {			
			Connection conn = dataSource.getConnection();
			PreparedStatement statement = conn.prepareStatement("delete from usuario where id=?");
			statement.setString(1,id);			
			statement.execute();
			conn.close();
		} catch (SQLException e) {
			e.printStackTrace();
		}		
	}
	/* (non-Javadoc)
	 * @see daca.service.PersistenteIF#selectTodos()
	 */
	public List selectTodos() {
		Connection conn = null;
		List lista = new ArrayList();
		try {			
			conn = dataSource.getConnection();
			ResultSet rs = conn.createStatement().executeQuery("select * from usuario");
			while(rs.next()){
				Usuario u = new Usuario();
				u.setId(rs.getInt(1));
				u.setLogin(rs.getString(2));				
				u.setSenha(rs.getString(3));
				u.setMail(rs.getString(4));
				lista.add(u);
			}
			conn.close();
		} catch (SQLException e) {
			e.printStackTrace();
		}		
		return lista;
	}
	/**
	 * @return Returns the dataSource.
	 */
	public DriverManagerDataSource getDataSource() {
		return dataSource;
	}
	/**
	 * @param dataSource The dataSource to set.
	 */
	public void setDataSource(DriverManagerDataSource dataSource) {
		this.dataSource = dataSource;
	}
}